Perpetuals
getFundingRates
Returns current perpetual funding rates from both Hyperliquid and dYdX v4 in a single request. Chain-agnostic.
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "getFundingRates",
"params": {},
"id": 1
}'import { Spectrum } from '@spectrumnodes/sdk';
const spectrum = new Spectrum({ api: 'https://your-endpoint.simplystaking.xyz/YOUR_API_KEY/' });
const result = await spectrum.defi.getAllFundingRates();
console.log(result);{
"jsonrpc": "2.0",
"result": {
"data": {
"hyperliquid": [
{
"coin": "BTC",
"fundingRate": "0.000045",
"annualizedRate": 39.42,
"markPrice": "68500.00",
"openInterest": "1200000000"
}
],
"dydx": [
{
"ticker": "BTC-USD",
"fundingRate": "0.000038",
"annualizedRate": 33.29,
"nextFundingAt": "2026-02-26T13:00:00.000Z"
}
],
"timestamp": "2026-02-26T12:30:00.000Z"
}
},
"id": 1
}Response Fields
| Field | Type |
|---|---|
data | object |
hyperliquid | object[] |
coin | string |
fundingRate | string |
annualizedRate | number |
markPrice | string |
openInterest | string |
dydx | object[] |
ticker | string |
fundingRate | string |
annualizedRate | number |
nextFundingAt | string |
timestamp | string |
getHLFunding
Returns current perpetual funding rates from Hyperliquid L1. Optionally filter by coin symbol. Sorted by absolute annualized rate descending. Chain-agnostic.
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "getHLFunding",
"params": {
"coin": "BTC"
},
"id": 1
}'import { Spectrum } from '@spectrumnodes/sdk';
const spectrum = new Spectrum({ api: 'https://your-endpoint.simplystaking.xyz/YOUR_API_KEY/' });
const result = await spectrum.defi.getHyperliquidFunding({ coin: 'BTC' });
console.log(result);{
"jsonrpc": "2.0",
"result": {
"data": [
{
"coin": "BTC",
"fundingRate": "0.000045",
"annualizedRate": 39.42,
"markPrice": "68500.00",
"openInterest": "1200000000"
},
{
"coin": "ETH",
"fundingRate": "0.000032",
"annualizedRate": 28.03,
"markPrice": "2075.50",
"openInterest": "800000000"
}
]
},
"id": 1
}Parameters
| Name | Required | Description |
|---|---|---|
| coin | no | Filter by coin symbol (e.g. BTC, ETH) e.g. BTC |
Response Fields
| Field | Type |
|---|---|
data | object[] |
coin | string |
fundingRate | string |
annualizedRate | number |
markPrice | string |
openInterest | string |
getDydxFunding
Returns current perpetual funding rates from dYdX v4. Optionally filter by ticker. Sorted by absolute annualized rate descending. Chain-agnostic.
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "getDydxFunding",
"params": {
"ticker": "BTC-USD"
},
"id": 1
}'import { Spectrum } from '@spectrumnodes/sdk';
const spectrum = new Spectrum({ api: 'https://your-endpoint.simplystaking.xyz/YOUR_API_KEY/' });
const result = await spectrum.defi.getDydxFunding({ ticker: 'BTC-USD' });
console.log(result);{
"jsonrpc": "2.0",
"result": {
"data": [
{
"ticker": "BTC-USD",
"fundingRate": "0.000038",
"annualizedRate": 33.29,
"nextFundingAt": "2026-02-26T13:00:00.000Z"
},
{
"ticker": "ETH-USD",
"fundingRate": "0.000028",
"annualizedRate": 24.53,
"nextFundingAt": "2026-02-26T13:00:00.000Z"
}
]
},
"id": 1
}Parameters
| Name | Required | Description |
|---|---|---|
| ticker | no | Filter by market ticker (e.g. BTC-USD) e.g. BTC-USD |
Response Fields
| Field | Type |
|---|---|
data | object[] |
ticker | string |
fundingRate | string |
annualizedRate | number |
nextFundingAt | string |